/*

Copyright 2003 The University of New South Wales (UNSW) and National  
ICT Australia (NICTA).

This file is part of the 2003 team rUNSWift RoboCup entry.  You may  
redistribute it and/or modify it under the terms of the GNU General  
Public License as published by the Free Software Foundation; either  
version 2 of the License, or (at your option) any later version as  
modified below.  As the original licensors, we add the following  
conditions to that license:

In paragraph 2.b), the phrase "distribute or publish" should be  
interpreted to include entry into a competition, and hence the source  
of any derived work entered into a competition must be made available  
to all parties involved in that competition under the terms of this  
license.

In addition, if the authors of a derived work publish any conference  
proceedings, journal articles or other academic papers describing that  
derived work, then appropriate academic citations to the original work  
must be included in that publication.

This rUNSWift source is distributed in the hope that it will be useful,  
but WITHOUT ANY WARRANTY; without even the implied warranty of  
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU  
General Public License for more details.

You should have received a copy of the GNU General Public License along  
with this source code; if not, write to the Free Software Foundation,  
Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

/*
 * Last modification background information
 * $Id: IndicatorsDef.h 1953 2003-08-21 03:51:39Z eileenm $
 *
 * Copyright (c) 2003 UNSW
 * All Rights Reserved.
 * 
**/

#ifndef _IndicatorsDef_h_DEFINED
#define _IndicatorsDef_h_DEFINED

static const int numINDICATORS         = 14;
static const int numJOINT_IND_FRAMES   = 2;
static const int numEAR_IND_FRAMES     = 2;

static const int indUNCHANGE           = 0;
static const int indPOS1               = 1;
static const int indPOS2               = 2;
static const int indPOS3               = 3;

static const int indMOUTHCLOSED        = 1;
static const int indMOUTHOPEN          = 2;

static const int indEARUP              = 1;
static const int indEARDOWN            = 2;

static const int indTAILCENTRED        = 1;
static const int indTAILUP             = 2;
static const int indTAILDOWN           = 3;
static const int indTAILRIGHT          = 2;
static const int indTAILLEFT           = 3;

static const int indLEDOFF             = 1;
static const int indLEDON              = 2;

static const int MOUTH_CLOSED          = -60000;
static const int MOUTH_OPEN            = -700000;
static const int TAIL_RIGHT            =  350000;
static const int TAIL_LEFT             = -350000;
static const int TAIL_UP               =  350000;
static const int TAIL_DOWN             = -350000;
static const int TAIL_CENTRED          = 0;

static const int numINDICATOR_JOINTS   = 5;
static const int numINDICATOR_LEDS     = (numINDICATORS - numINDICATOR_JOINTS);

#endif //_IndicatorsDef_h_DEFINED
